This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]

Re: Upgrading to SGI's current STL?


Gerald Pfeifer wrote:
> 
> On Wed, 2 Sep 1998, Kevin Atkinson wrote:
> > Here is the 1 (well 2 with the comment) line fix based on how SGI
> > fixed it in the latest release.  The some bug appears to be in
> > rope::iterator::operator= however I have not tested it.
> 
> At this point in time, after the 1.1 release, how about upgrading to
> the current STL from SGI?

I think that is a good idea.  However, if you decide to wait until 1.2
I *strongly* recommend you fix the two bugs I pointed out as they are
rather serious bugs (which caused by code to crash) in egcs 1.1.1
(or whatever).  If you want I can send you by a copy of my program
that causes the bug.

Once I release my program I am going to include the patch with it, as
any thing based on SGI 3.1 also has the problem--including the widely 
used adoption (http://corp.metabyte.com/~fbp/stl/index.html)--has the
same bug.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]